Support » Installing WordPress » Unable to Install on Plesk 9.5.2 >> DB User Issue

  • Hello there, everyone.

    I have used wordpress since version 2, but have been doing it with cPanel. Now, after changing my Domain, I have been handed over a Parallels Plesk 9.5.2 which poses some issues in our 5 minute installation:-

    1. I create a MySQL database (wordpressdb), and then make a database user (wordpressman) but there is nowhere in Plesk 9.5.2 that I could grant the user ‘All’ privileges that wordpress requires to run.

    2. Thankfully, there is phpMyAdmin. But I have difficulties giving my user (wordpressman) all privileges to the database (wordpressdb). Here is a screenshot.

    3. I could have installed WordPress using the direct built-in installation but my Plesk 9.5.2 does not have anywhere to turn PHP Safe Mode Off. WordPress won’t install in Plesk, with PHP Safe Mode On.

    If there is anyone who could help me in anyway, I shall be grateful.

    Siddharth

Viewing 3 replies - 1 through 3 (of 3 total)
  • esmi

    (@esmi)

    Forum Moderator

    Have you tried contacting your hosts?

    I was wondering if WordPress Install (at domain.com/wordpress_directory/install.php) can be executed unless the Database user has global privileges for the MySQL Database associated with WordPress.

    This is because, my wordpress install script has executed and my wordpress is running succesfully, but I am not sure if my user has global privileges to the Database. Can this create any problem at a later stage? I am not sure!

    Any help will be appreciated.
    Siddharth

    esmi

    (@esmi)

    Forum Moderator

    The database user must have all privileges.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Unable to Install on Plesk 9.5.2 >> DB User Issue’ is closed to new replies.